Name:         texinfo-devel
License:      GPL, Other License(s), see package
Group:        Development
Version:      4.8
Release:      1
Summary:      Tools Needed to Create Documentation from Texinfo Sources
URL:          http://www.texinfo.org
Source:       ftp://ftp.gnu.org/pub/gnu/texinfo/texinfo-%{version}.tar.bz2
Source1:      texi2html-1.76.tar.bz2
Source2:      texi2roff-2.0.tar.bz2
Source3:      info-dir
Patch:        texinfo-%{version}.dif
Patch1:       texi2html-1.76.dif
Patch2:       texi2roff-2.0.dif
Patch3:       texi2roff.patch.bz2
Patch4:       texinfo-4.7-zlib.patch
Patch5:       texinfo-%{version}-tempfile.patch
Patch6:       texinfo-%{version}-echo.patch
Patch7:       texi2roff-2.0-gcc4.patch
Patch8:       texinfo-4.8-sec.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Provides:     texinfo /sbin/install-info

%description
Texinfo is a documentation system that uses a single source file to
produce both online information and printed output.  Using Texinfo, you
can create a printed document with the normal features of a book,
including chapters, sections, cross-references, and indices.  From the
same Texinfo source file, you can create a menu-driven, online info
file with nodes, menus, cross-references, and indices.

%prep
rm -rf texi2html-1.76 texi2roff-2.0
%setup -q -b 1 -b 2 -n texinfo-%{version}
%patch
%patch4 -p0 -b .zlib
%patch5 -p0 -b .tempfile
%patch6 -p0 -b .echo
%patch8 -p0 -b .sec
# nb is already there and more recent
rm -fv po/no.*
cd ../texi2html-1.76
%patch -P 1
cd ../texi2roff-2.0
%patch -P 3 -p 0 -b .Bader
%patch -P 2
%patch7 -p1

%build
    CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pipe"
    LDFLAGS="-s"
    CC=gcc
    export CFLAGS LDFLAGS CC
    ./configure --host=i386-pc-linux-gnu \
	--prefix=/usr			\
	--mandir=%{_mandir}		\
	--infodir=%{_infodir}		\
	--without-included-gettext	\
	--with-catgets			\
	--disable-nls
    make
    PATH=${PWD}/makeinfo:${PWD}/util:$PATH
    export PATH
cd ../texi2html-1.76
    ./configure --host=i386-pc-linux-gnu \
	--prefix=/usr			\
	--infodir=%{_infodir}		\
	--mandir=%{_mandir}		\
	--without-included-gettext	\
	--with-catgets			\
	--disable-nls
    make
cd ../texi2roff-2.0
    rm -f texi2roff
    make

%install
rm -rf ${RPM_BUILD_ROOT}/
    make DESTDIR=${RPM_BUILD_ROOT} \
	infodir=%{_infodir}	   \
	htmldir=%{_defaultdocdir}/texi2html install
    mkdir -p ${RPM_BUILD_ROOT}/sbin
    mv ${RPM_BUILD_ROOT}/usr/bin/install-info ${RPM_BUILD_ROOT}/sbin/
    ln -sf ../../sbin/install-info ${RPM_BUILD_ROOT}/usr/bin/install-info
    mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
    install -m 644 ${RPM_SOURCE_DIR}/info-dir ${RPM_BUILD_ROOT}%{_infodir}/dir
cd ../texi2html-1.76
    make DESTDIR=${RPM_BUILD_ROOT} \
	infodir=%{_infodir}	   \
	htmldir=%{_defaultdocdir}/texi2html install
cd ../texi2roff-2.0
    doc=%{_defaultdocdir}/texi2roff
    install -m 755 texi2roff     ${RPM_BUILD_ROOT}/usr/bin/
    install -m 755 texi2index    ${RPM_BUILD_ROOT}/usr/bin/
    install -m 644 texi2roff.1   ${RPM_BUILD_ROOT}%{_mandir}/man1/
    mkdir -p                     ${RPM_BUILD_ROOT}${doc}
    install -m 644 Readme        ${RPM_BUILD_ROOT}${doc}
    install -m 644 copyright     ${RPM_BUILD_ROOT}${doc}

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
/sbin
/usr/bin
/usr/share
/usr/man
